## How-to notes

To complement <https://isso-comments.de/docs/reference/installation/>. But you might be better off reading the original documentation directly. 

The below assumes you have a `git` non-root user.

## As root
```
sudo apt install pip3
pip3 install isso

sudo apt-get install python3-setuptools python3-virtualenv python3-dev
sudo mkdir /etc/isso
sudo chown git /etc/isso
```

## as normal user
virtualenv /etc/isso
source /etc/isso/bin/activate

## 

added the following to the config to avoid conflicting with a different service.

```
[server]
listen = http://localhost:8081
```

## Guinicorn

iso-start.sh:

```
#!/bin/bash
# taken from <https://blog.phusion.nl/2018/08/16/isso-simple-self-hosted-commenting-system/>

set -e
cd /etc/isso
source /etc/isso/bin/activate
## export LANG=C.UTF-8
export ISSO_SETTINGS="/etc/isso/isso.cfg"
## exec gunicorn -n gunicorn-isso -b 127.0.0.1:1927 --preload -w 4 --log-file /var/log/isso/isso.log isso.dispatch 2>>/var/log/isso/isso.log
gunicorn -b localhost:8081 --preload -w 4 --log-file /etc/isso/isso.log isso.run 2>> /etc/isso/isso.log ## known to work
```

```

[Unit]
Description=isso commenting system
After=system.slice multi-user.target postgresql.service

[Service]
ExecStart=/etc/isso/isso-start.sh

Restart=on-failure
TimeoutSec=1
User=git

LimitNOFILE=16384
LimitNPROC=16384
LimitLOCKS=16384

# ensures that the service process and all its children can never gain new
# privileges.
NoNewPrivileges=true

[Install]
WantedBy=multi-user.target

## taken from: <https://blog.phusion.nl/2018/08/16/isso-simple-self-hosted-commenting-system/>

```

^ isso.service

then systemcl daemon-reload
systemctl enable isso
systemctl start isso
